| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ISelectStatement Class Reference

`#include <GaudiKernel/ISelectStatement.h>`

Inheritance diagram for ISelectStatement:

[legend]
Collaboration diagram for ISelectStatement:

[legend]
List of all members.

## Detailed Description

A select statement can either contain

- a string e.g.

for refining an SQL statement

- a function object, which will be called back in order to refine a selection. This happens in calling sequences like the following:

bool MySelect::operator()(IValueLocator* l) { float px, py, pz; if ( l->get("PX",px) && l->get("PY",py) && l->get("PZ",pz) ) { float mom = sqrt(px*px+py*py+pz*pz); return mom > 100.0 * GeV; } return false; }

if "true" is returned, the object will be loaded completely.

Author:
  M.Frank

Version:
  1.0

Definition at line 37 of file ISelectStatement.h.

## Public Types
enum | SelectType { FUNCTION = 1<<1, STRING = 1<<2, FULL = 1<<3, OTHER = 1<<4 }
| Statement type definition. More...
## Public Member Functions
virtual long | type () const=0
| Access the type of the object.
virtual const std::string & | criteria () const=0
| Access the selection string.
virtual void | setCriteria (const std::string &crit)=0
| Set the type.
virtual void | setActive (bool flag=true)=0
| Change activity flag.
virtual bool | isActive () const=0
| Check if selection is active.
virtual bool | operator() (void *val)=0
| Stupid default implementation.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Enumeration Documentation

enum ISelectStatement::SelectType

Statement type definition.

Enumerator:

  FUNCTION |
  STRING |
  FULL |
  OTHER |

Definition at line 40 of file ISelectStatement.h.

    00040 { FUNCTION=1<<1, STRING=1<<2, FULL=1<<3, OTHER=1<<4 };

## Member Function Documentation

static const InterfaceID& ISelectStatement::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 44 of file ISelectStatement.h.

References IID_ISelectStatement.

    00044 { return IID_ISelectStatement; }

virtual long ISelectStatement::type | ( |  | ) | const`[pure virtual]`

Access the type of the object.

Implemented in SelectStatement.

Referenced by PoolDbTupleCallback::select().

virtual const std::string& ISelectStatement::criteria | ( |  | ) | const`[pure virtual]`

Access the selection string.

Implemented in SelectStatement.

Referenced by PoolDbTupleCallback::select().

virtual void ISelectStatement::setCriteria | ( | const std::string & | crit | ) | `[pure virtual]`

Set the type.

Implemented in SelectStatement.

virtual void ISelectStatement::setActive | ( | bool | flag = `true` | ) | `[pure virtual]`

Change activity flag.

Implemented in SelectStatement.

virtual bool ISelectStatement::isActive | ( |  | ) | const`[pure virtual]`

Check if selection is active.

Implemented in SelectStatement.

virtual bool ISelectStatement::operator() | ( | void * | val | ) | `[pure virtual]`

Stupid default implementation.

Implemented in NTuple::Selector, and SelectStatement.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ISelectStatement.h